---
title: "A new blog"
date: 2021-12-17T00:00:00
slug: a-new-blog
tags:
    - eleventy
---
It’s been a long time since I’ve had an actively-maintained personal website/blog, but I got a spurt of inspiration after seeing a few other recently-revamped blogs. What better way to celebrate the end of the year than with… a blog?

My intention is to try and write a post on here relatively frequently, but we’ll see how that goes as I’m quite out of practice.

## [Tech stack](https://lewisdale.dev/post/a-new-blog/#tech-stack)

I wanted this website to achieve three things: be of my own design, be easy to update, and be accessible. To that end, I chose a relatively simple tech stack:

- [Eleventy](https://11ty.dev/)
- HTML
- CSS

And that’s… just about it. Eleventy gives me more than enough functionality to write simple blog posts in Markdown, convert them to HTML, and display them on a page.

I did start out using [Tailwind](https://tailwindcss.com/), but after a little while and seeing some of the recent discourse around it, I decided I wanted to write all the styles myself from scratch. It was pretty easy to remove Tailwind from the stack, as I hadn’t done too much work on it to begin with. Plus, it meant that I could get rid of PostCSS, which was giving me a headache when trying to serve both PostCSS and Eleventy at the same time.

I deployed the site using [Netlify](https://netlify.app/). It was my first time using it, and to be honest I’m pretty impressed by how quickly I was able to get things up and running. It took maybe 3 minutes from signing up to getting a version of the site deployed (pointing the domain took longer thanks to pesky DNS propagation times).

## [Accessibility and Performance](https://lewisdale.dev/post/a-new-blog/#accessibility-and-performance)

I wanted some assurance that my website would be accessible, so I regularly tested my pages with [axe DevTools](https://www.deque.com/axe/devtools/) and Lighthouse in Chrome.

At the time of writing, there are no accessibility issues reported by Axe or Lighthouse, so that’s a win!

![Congratulations! Found 0 issues automatically on the page](./src/images/axe-clean-output.png)

If anybody reading this does in fact spot or experience an accessibility issue, [please send me a DM or tweet on Twitter](https://twitter.com/LewisDaleUK).
