---
date: 2025-02-17T09:50:07+00:00
tags:
  - cycling
  - BikeTooter
  - review
title: Some more good & bad bike part purchases
excerpt: "As always, I'm trying out lots of new bike parts. Some are better than others, so here's some short reviews of the best and worst things I've bought recently: Elitewheels Edge carbon wheels, Goodyear Eagle F1 Supersport R tyres, Sidebike carbon cycling shoes, Exustar PRS-1 pedals, RideNow TPU inner tubes, TOPUMP TB2 PRO electric pump, and YKYWBIKE jerseys & bib tights."
---
As always, I'm trying to balance buying decent bike components and accessories with the fact that often, those things are _really_ expensive. I've tried out quite a few things recently, some have been great and others... not so great. I thought I'd put together a quick set of reviews for those parts, in case other people were considering them.

## Elitewheels Edge 50mm carbon road wheels

**Rating: 5/5 <span role="presentation">⭐️⭐️⭐️⭐️⭐️</span>**

Carbon wheels are an excellent ride upgrade, but damn they're expensive - some wheelsets cost more than my bike. After hearing some good things about Elitewheels, I ordered a set of their [carbon Edge wheels with 50mm rims](https://www.aliexpress.com/item/1005004767705476.html), for around £500. They took a fair while to arrive, about 2 months, but damn was it worth it. They are _fantastic_; they're really lightweight, at about 1350g for the pair (without tyres & brake rotors), they're stiff, responsive, and roll really nicely. They're far-and-away the best upgrade I've made to my bike.

![Photo of a red Ribble road bike, leaning against a wall in front of a reservoir. The bike has black deep-sectioned carbon wheels mounted](./src/images/ribble-against-wall-reservoir.jpeg)

## Goodyear Eagle F1 Supersport R tyres

**Rating: 2/5 <span role="presentation">⭐️⭐️</span>**

I picked these up for about £30 a tyre, as [their reported rolling resistance and wet corner grip](https://www.bicyclerollingresistance.com/road-bike-reviews/goodyear-eagle-f1-supersport-r) was too tempting to pass up on for winter use. I sincerely regret this purchase. For a start, they're tubeless tyres, which meant mounting them for the first time was an absolute pain (but did get easier later once the rubber had stretched). The wet grip _is_ pretty good, but they felt slightly unstable when descending in the wet due to the slick strip down the centre. Finally, the puncture resistance is terrible, and British roads in winter are mostly potholes and debris with brief interludes of tarmac. I've since ordered a set of Continental GP 4 Seasons which, while slightly heavier, score better in all of the other metrics I care about (namely: not dying or getting stranded).

## Sidebike carbon cycling shoes

**Rating: 4/5 ⭐️⭐️⭐️⭐️**

Another AliExpress purchase, these are carbon-soled cycling shoes that cost me around £65 for the pair. On the whole, I'm pretty happy with these. They're lightweight, have great power transfer, and double boa fittings make them easy to put on and adjust. The only negatives are that the insole that comes with them is little more than a strip of fabric, so putting new ones in was an absolute must. Also, they're quite narrow and not very suitable for winter use - a pair of dedicated winter boots is on my wishlist for next year. And finally, they're not the best-looking shoes out there, if that's your thing. Otherwise though, absolutely recommend them.

## Exustar PRS-1 pedals

**Rating: 5/5 ⭐️⭐️⭐️⭐️⭐️**

I use the Look Keo cleat system, having had Keo 2 Max pedals for the last couple of years, but they'd started to wear out and the tension springs had seized. I picked these up for £30 from [Spa Cycles](spacycles.co.uk/) and have had no complaints. They feel exactly the same as the Keo 2 Max, weigh around the same, but are less than half the price. And they have full-carbon options if you're lighter than I am and want to spend a bit more.

## Ridenow TPU inner tubes

**Rating: 3/5 <span role="presentation">⭐️⭐️⭐️</span>**

A real mixed bag. On one hand, I like how tiny and lightweight these are, and during summer I rode them almost daily without a single puncture. But since then, I've had a handful of issues. Partly the lower puncture protection has been a problem in winter when, as I mentioned before, the roads are horrible. Partly it's also been some bad quality control on the tubes - a couple I received were leaky right from the off with micropunctures that slowly leaked air. Overall, I'll be keeping TPU tubes as spares, and to use in the summer, but sticking with standard butyl tubes during winter.

![Shows a folded pink TPU inner tube next to a black folded "normal" inner tube. The TPU tube is roughly a quarter of the size of the butyl one](./src/images/tpu_butyl_tubes.jpeg)

## Topump TB2 Pro electric cycling pump

**Rating: 4/5 <span role="presentation">⭐️⭐️⭐️⭐️</span>**

Yet another AliExpress purchase, there's not much to say about this other than that I'm pretty happy with it. I paid around £25 for it, it fits into my jersey pocket, and will pump my road tyres to 80PSI 2-3 times before needing charging.

## YKYWBIKE autumn jersey & bib tights

**Rating: 5/5 <span role="presentation">⭐️⭐️⭐️⭐️⭐️</span>**

I took a bit of a gamble on a (relatively) highly-recommended clothing brand from AliExpress, and I'm really glad I did. The sizing comes up a bit small, so I'm L-XL whereas I'd be M-L in other brand, but I knew that beforehand anyway. The autumn jersey is fleece-lined and great for early autumn/spring weather when it's chilly but not freezing cold. The bib tights are actually my favourite ones to wear; the red chamois is really comfortable, they fit well, and they feel a lot more expensive than the £17 they actually cost me. I'll be ordering some summer bib shorts, because I don't get on with my Rapha Team Core ones at all.